// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escazu, San Jose, Costa Rica
// dedicado a Jesus y Maria...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 5 de febrero, 2013
//                
// Mis dibujos estan en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
//
// BLDP BarcoLegoDinamarcaPersonal
// El modelo es original, esta es la historia:
//      Yo le dije a varias personas que el nuevo paquete
//      FreeRay2012 contendria un barco modelado en Moray.
//      Por falta de tiempo no pude satisfacer este
//      proyecto en esta version de FreeRay.
//      Como consolacion modele con mi LEGO de marca de DINAMARCA
//      este barco de mi imaginacion (para tranquilidad de
//      los usuarios de la patente LGPL).
//      Use Moray, que puede exporta a POVRay.
//      Como la Biblioteca oficial POVRay no acepta
//      archivos tipo Moray puro, no incluyo el codigo original.
//      Lo siento...
//
// El archivo dibuja un barco de LEGO para menores de edad.
// Puede dibujarse por etapas.
// #macro BLDP_BarcoLegoDinamarcaPersonal( Etapa )
//      Etapa           : Valor entero entre 0 y 5.  El valor 0 dibuja
//                        la base de color verde.  Cada valor agrega
//                        un piso.  El valor 4 un mastil, el valor 5
//                        dos mastiles.
//
// Las dimensiones del barco de lego.
// El microfono descansa en el plano XZ.
// El barco se encuentra parcialmente centrado en el origen.
// El microfono sobresale hacia Y+, frente hacia X+.
//      Minimo      : < -95,   0,-34>*L aprox
//      Maximo      : < 102, 114, 34>*L aprox
//
// Al usuario le podrian ser utiles las siguientes declaraciones de bloque.
// Nota: En Moray la orientacion preferida es Z+ hacia arriba.
// Nosotros preferimos en POVRay Y+ hacia arriba (mi proyecto LibreN3D es dextrogiro 
// con Y+ hacia abajo, pero por el momento eso no deberia preocupar al usuario).
// Para pasar a unidades de nuestro barco, usted deberia aplicar 
// scale BLDP_FactorEscala,
// y probablemente rotate -90*x previamente si el usuario prefiere como nosotros, el eje
// Y+ orientado hacia arriba.  Se indican dimensiones sin tomar en cuenta los
// puntos de ligadura que le agregan 0.1 unidades al alto sin el scale.
// #declare BLDP_Bloque2x4     
//      Object que genera un bloque de construccion de <0,0,0> a <4,2,1.2> aproximadamente.
// #declare BLDP_Bloque2x2
//      Object que genera un bloque de construccion de <0,0,0> a <2,2,1.2> aproximadamente.
// #declare BLDP_Bloque2x8     
//      Object que genera un bloque de construccion de <0,0,0> a <8,2,1.2> aproximadamente.
// #declare BLDP_Bloque2x10     
//      Object que genera un bloque de construccion de <0,0,0> a <10,2,1.2> aproximadamente.
// #declare BLDP_Bloque4x12     
//      Object que genera un bloque de construccion de <0,0,0> a <12,4,1.2> aproximadamente.
// #declare BLDP_FactorEscala                   = 0.0068;
//      Valor para dimensionar los bloques a escala del dibujo.
//
// Los siguientes son los modificadores
// aplicables y redefinibles por el usuario (si se indica es default)
// #declare BLDP_POV3_1                        = off;
//      Valor on activa modo de compatibilidad con POVRay 3.1.
//      En algunas versiones se activara automaticamente.
//      En esta version no cumple ninguna funcion.
// #declare BLDP_Verde                         = texture { ... }
//      Permite modificar la textura de los bloques de color
//      verde.  Debe declararse antes del #include.
// #declare BLDP_Azul                          = texture { ... }
//      Permite modificar la textura de los bloques de color
//      azul.  Debe declararse antes del #include.
// #declare BLDP_Rojo                          = texture { ... }
//      Permite modificar la textura de los bloques de color
//      rojo.  Debe declararse antes del #include.
// #declare BLDP_Blanco                        = texture { ... }
//      Permite modificar la textura de los bloques de color
//      blanco.  Debe declararse antes del #include.
// #declare BLDP_Negro                         = texture { ... }
//      Permite modificar la textura de los bloques de color
//      negro.  Debe declararse antes del #include.
// #declare BLDP_Gris                          = texture { ... }
//      Permite modificar la textura de los bloques de color
//      gris.  Debe declararse antes del #include.
// #declare BLDP_Amarillo                      = texture { ... }
//      Permite modificar la textura de los bloques de color
//      amarillo.  Debe declararse antes del #include.
//
// Para colocarlo simplemente
// #include "BLDP.inc"
// object        { BLDP_BarcoLegoDinamarcaPersonal(5) }
//
// Otro ejemplo con modificador
// #declare BLDP_Amarillo       = texture { PinkAlabaster }
// #include "BLDP.inc"
//
// object        {
//      BLDP_BarcoLegoDinamarcaPersonal(4)
// }
//
// Y solo una pieza de construccion:
// #include "BLDP.inc"
//
// object       { BLDP_Bloque2x4 rotate -90*x scale BLDP_FactorEscala }
//


//  Persistence of Vision Raytracer V3.5
//  World definition file.
//
//  Contains 1 lights, 9 materials and 217 primitives.
//
//  This file was generated for POV-Ray V3.5 by
//  Moray V3.5 For Windows Copyright (c) 1993-2003 Lutz + Kretzschmar
//

//  Date : 02/04/2013    (04.02.2013)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

/*
This scene was created with Moray V3.4 Beta For Windows.

*/ // End Scene Comment

//
// ********  MATERIALS  *******
//

#include "BLDP_AUX.inc"


//
// ********  REFERENCED OBJECTS  *******
//

#declare BLDP_FactorEscala      = 0.0068;

#declare BLDP_DiferenciaCilindro = difference {
  cylinder { // BLDP_CilindroInterno
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 1.0>
    translate  <1.0, 1.0, 0.0>
  }
  cylinder { // BLDP_CilindroRestaInterno
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.02>
    translate  <1.0, 1.0, -0.01>
  }
}
#declare BLDP_PegueCilindrico2x4 = object {
  cylinder { // BLDP_PegueCilindrico2x4
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.3>
    translate  <0.5, 0.5, 0.0>
  }
}
#declare BLDP_PegueCilindrico2x5 = object {
  object { // BLDP_PegueCilindrico2x5 -> BLDP_PegueCilindrico2x4
    BLDP_PegueCilindrico2x4
    translate  1.0*y
  }
}
#declare BDLP_CarcazaPrincipal2x4 = union {
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <1.99, 0.99, 0.595>
    translate  <2.0, 1.0, 0.595>
  }
  object { BLDP_PegueCilindrico2x4 }
  object { BLDP_PegueCilindrico2x5 }
  object { // BLDP_PegueCilindrico2x6 -> BLDP_PegueCilindrico2x4
    BLDP_PegueCilindrico2x4
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x7 -> BLDP_PegueCilindrico2x4
    BLDP_PegueCilindrico2x4
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x8 -> BLDP_PegueCilindrico2x4
    BLDP_PegueCilindrico2x4
    translate  3.0*x
  }
  object { // BLDP_PegueCilindrico2x9 -> BLDP_PegueCilindrico2x5
    BLDP_PegueCilindrico2x5
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x10 -> BLDP_PegueCilindrico2x5
    BLDP_PegueCilindrico2x5
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x11 -> BLDP_PegueCilindrico2x5
    BLDP_PegueCilindrico2x5
    translate  3.0*x
  }
}
#declare BLDP_Carcaza2x4 = difference {
  object { BDLP_CarcazaPrincipal2x4 }
  box { // BLDP_RestaCarcaza
    <-1, -1, -1>, <1, 1, 1>
    scale <1.8, 0.8, 0.5>
    translate  <2.0, 1.0, 0.499>
  }
}
#declare BLDP_Bloque2x4 = union {
  object { BLDP_DiferenciaCilindro }
  object { // BLDP_DiferenciaCilindro1 -> BLDP_DiferenciaCilindro
    BLDP_DiferenciaCilindro
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro2 -> BLDP_DiferenciaCilindro
    BLDP_DiferenciaCilindro
    translate  2.0*x
  }
  object { BLDP_Carcaza2x4 }
}
#declare BLDP_MastilPequenoNegro01 = object {
  object { // BLDP_MastilPequenoNegro01 -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    rotate 90.0*z
    translate  <2.0, -2.0, 7.2>
  }
}
#declare BLDP_MastilPequenoNegro02 = object {
  object { // BLDP_MastilPequenoNegro02 -> BLDP_MastilPequenoNegro01
    BLDP_MastilPequenoNegro01
    rotate <-0.0, 0.0, -0.0>
    translate  <0.0, -2.0, 1.2>
  }
}
#declare BLDP_MastilPequenoAzul = object {
  object { // BLDP_MastilPequenoAzul -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    material {
      BLDP_Azul
    }
    translate  <3.0, -1.0, 4.8>
  }
}
#declare BLDP_MastilPequenoAzul1 = object {
  object { // BLDP_MastilPequenoAzul1 -> BLDP_MastilPequenoAzul
    BLDP_MastilPequenoAzul
    material {
      BLDP_Rojo
    }
    translate  <-2.0, 0.0, 1.2>
  }
}
#declare BLDP_MastilGrandeBlanco01 = object {
  object { // BLDP_MastilGrandeBlanco01 -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    rotate 90.0*z
    translate  <-2.0, -2.0, 9.6>
  }
}
#declare BLDP_MastilGrandeBlanco02 = object {
  object { // BLDP_MastilGrandeBlanco02 -> BLDP_MastilGrandeBlanco01
    BLDP_MastilGrandeBlanco01
    rotate <0.0, 0.0, 0.0>
    translate  <0.0, -2.0, 1.2>
  }
}
#declare BLDP_MastilGrandeBlanco03 = object {
  object { // BLDP_MastilGrandeBlanco03 -> BLDP_MastilGrandeBlanco02
    BLDP_MastilGrandeBlanco02
    rotate <0.0, 0.0, 0.0>
    translate  <-0.0, -2.0, 1.2>
  }
}
#declare BLDP_MastilGrandeNegro01 = object {
  object { // BLDP_MastilGrandeNegro01 -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    rotate 90.0*z
    translate  <-2.0, -2.0, 13.2>
  }
}
#declare BLDP_DiferenciaCilindro52 = difference {
  cylinder { // BLDP_CilindroInterno4
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 1.0>
    translate  <1.0, 1.0, 0.0>
  }
  cylinder { // BLDP_CilindroRestaInterno4
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.02>
    translate  <1.0, 1.0, -0.01>
  }
}
#declare BLDP_PegueCilindrico2x96 = object {
  cylinder { // BLDP_PegueCilindrico2x96
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.3>
    translate  <0.5, 0.5, 0.0>
  }
}
#declare BLDP_PegueCilindrico2x97 = object {
  object { // BLDP_PegueCilindrico2x97 -> BLDP_PegueCilindrico2x96
    BLDP_PegueCilindrico2x96
    translate  1.0*y
  }
}
#declare BDLP_CarcazaPrincipal2x8 = union {
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale <0.99, 0.99, 0.595>
    translate  <1.0, 1.0, 0.595>
  }
  object { BLDP_PegueCilindrico2x96 }
  object { BLDP_PegueCilindrico2x97 }
  object { // BLDP_PegueCilindrico2x98 -> BLDP_PegueCilindrico2x96
    BLDP_PegueCilindrico2x96
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x101 -> BLDP_PegueCilindrico2x97
    BLDP_PegueCilindrico2x97
    translate  1.0*x
  }
}
#declare BLDP_Carcaza2x8 = difference {
  object { BDLP_CarcazaPrincipal2x8 }
  box { // BLDP_RestaCarcaza2
    <-1, -1, -1>, <1, 1, 1>
    scale <0.8, 0.8, 0.5>
    translate  <1.0, 1.0, 0.499>
  }
}
#declare BLDP_Bloque2x2 = union {
  object { BLDP_DiferenciaCilindro52 }
  object { BLDP_Carcaza2x8 }
}
#declare BLDP_MastilGrandePoste01 = object {
  object { // BLDP_MastilGrandePoste01 -> BLDP_Bloque2x2
    BLDP_Bloque2x2
    material {
      BLDP_Azul
    }
    translate  <-4.0, -1.0, 2.4>
  }
}
#declare BLDP_CuartoPisoAmarillo01 = object {
  object { // BLDP_CuartoPisoAmarillo01 -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    translate  <-14.0, -1.0, 3.6>
  }
}
#declare BLDP_TercerPisoRojo01 = object {
  object { // BLDP_TercerPisoRojo01 -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    translate  <-8.0, -4.0, 2.4>
  }
}
#declare BLDP_TercerPisoRojo05 = object {
  object { // BLDP_TercerPisoRojo05 -> BLDP_TercerPisoRojo01
    BLDP_TercerPisoRojo01
    translate  4.0*x
  }
}
#declare BLDP_TercerPisoRojo06 = object {
  object { // BLDP_TercerPisoRojo06 -> BLDP_TercerPisoRojo05
    BLDP_TercerPisoRojo05
    translate  6.0*x
  }
}
#declare BLDP_TercerPisoRojo08 = object {
  object { // BLDP_TercerPisoRojo08 -> BLDP_TercerPisoRojo05
    BLDP_TercerPisoRojo05
    translate  6.0*y
  }
}
#declare BLDP_TercerPisoRojo09 = object {
  object { // BLDP_TercerPisoRojo09 -> BLDP_TercerPisoRojo08
    BLDP_TercerPisoRojo08
    translate  <10.0, -1.0, 0.0>
  }
}
#declare BLDP_DiferenciaCilindro10 = difference {
  cylinder { // BLDP_CilindroInterno2
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 1.0>
    translate  <1.0, 1.0, 0.0>
  }
  cylinder { // BLDP_CilindroRestaInterno2
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.02>
    translate  <1.0, 1.0, -0.01>
  }
}
#declare BLDP_PegueCilindrico2x28 = object {
  cylinder { // BLDP_PegueCilindrico2x28
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.3>
    translate  <0.5, 0.5, 0.0>
  }
}
#declare BLDP_PegueCilindrico2x29 = object {
  object { // BLDP_PegueCilindrico2x29 -> BLDP_PegueCilindrico2x28
    BLDP_PegueCilindrico2x28
    translate  1.0*y
  }
}
#declare BLDP_PegueCilindrico2x32 = object {
  object { // BLDP_PegueCilindrico2x32 -> BLDP_PegueCilindrico2x28
    BLDP_PegueCilindrico2x28
    translate  3.0*x
  }
}
#declare BLDP_PegueCilindrico2x35 = object {
  object { // BLDP_PegueCilindrico2x35 -> BLDP_PegueCilindrico2x29
    BLDP_PegueCilindrico2x29
    translate  3.0*x
  }
}
#declare BLDP_PegueCilindrico2x39 = object {
  object { // BLDP_PegueCilindrico2x39 -> BLDP_PegueCilindrico2x35
    BLDP_PegueCilindrico2x35
    translate  4.0*x
  }
}
#declare BLDP_PegueCilindrico2x43 = object {
  object { // BLDP_PegueCilindrico2x43 -> BLDP_PegueCilindrico2x32
    BLDP_PegueCilindrico2x32
    translate  4.0*x
  }
}
#declare BDLP_CarcazaPrincipal2x6 = union {
  box { // BDLP_BaseCarcaza2x10
    <-1, -1, -1>, <1, 1, 1>
    scale <4.99, 0.99, 0.595>
    translate  <5.0, 1.0, 0.595>
  }
  object { BLDP_PegueCilindrico2x28 }
  object { BLDP_PegueCilindrico2x29 }
  object { // BLDP_PegueCilindrico2x30 -> BLDP_PegueCilindrico2x28
    BLDP_PegueCilindrico2x28
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x31 -> BLDP_PegueCilindrico2x28
    BLDP_PegueCilindrico2x28
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x32 }
  object { // BLDP_PegueCilindrico2x33 -> BLDP_PegueCilindrico2x29
    BLDP_PegueCilindrico2x29
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x34 -> BLDP_PegueCilindrico2x29
    BLDP_PegueCilindrico2x29
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x35 }
  object { // BLDP_PegueCilindrico2x36 -> BLDP_PegueCilindrico2x35
    BLDP_PegueCilindrico2x35
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x37 -> BLDP_PegueCilindrico2x35
    BLDP_PegueCilindrico2x35
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x38 -> BLDP_PegueCilindrico2x35
    BLDP_PegueCilindrico2x35
    translate  3.0*x
  }
  object { BLDP_PegueCilindrico2x39 }
  object { // BLDP_PegueCilindrico2x40 -> BLDP_PegueCilindrico2x32
    BLDP_PegueCilindrico2x32
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x41 -> BLDP_PegueCilindrico2x32
    BLDP_PegueCilindrico2x32
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x42 -> BLDP_PegueCilindrico2x32
    BLDP_PegueCilindrico2x32
    translate  3.0*x
  }
  object { BLDP_PegueCilindrico2x43 }
  object { // BLDP_PegueCilindrico2x44 -> BLDP_PegueCilindrico2x43
    BLDP_PegueCilindrico2x43
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x45 -> BLDP_PegueCilindrico2x43
    BLDP_PegueCilindrico2x43
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x46 -> BLDP_PegueCilindrico2x39
    BLDP_PegueCilindrico2x39
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x47 -> BLDP_PegueCilindrico2x39
    BLDP_PegueCilindrico2x39
    translate  2.0*x
  }
}
#declare BLDP_Carcaza2x6 = difference {
  object { BDLP_CarcazaPrincipal2x6 }
  box { // BLDP_RestaCarcaza2x10
    <-1, -1, -1>, <1, 1, 1>
    scale <4.8, 0.8, 0.5>
    translate  <5.0, 1.0, 0.499>
  }
}
#declare BLDP_DiferenciaCilindro16 = object {
  object { // BLDP_DiferenciaCilindro16 -> BLDP_DiferenciaCilindro10
    BLDP_DiferenciaCilindro10
    translate  6.0*x
  }
}
#declare BLDP_Bloque2x10 = union {
  object { BLDP_DiferenciaCilindro10 }
  object { BLDP_Carcaza2x6 }
  object { // BLDP_DiferenciaCilindro11 -> BLDP_DiferenciaCilindro10
    BLDP_DiferenciaCilindro10
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro12 -> BLDP_DiferenciaCilindro10
    BLDP_DiferenciaCilindro10
    translate  2.0*x
  }
  object { // BLDP_DiferenciaCilindro13 -> BLDP_DiferenciaCilindro10
    BLDP_DiferenciaCilindro10
    translate  3.0*x
  }
  object { // BLDP_DiferenciaCilindro14 -> BLDP_DiferenciaCilindro10
    BLDP_DiferenciaCilindro10
    translate  4.0*x
  }
  object { // BLDP_DiferenciaCilindro15 -> BLDP_DiferenciaCilindro10
    BLDP_DiferenciaCilindro10
    translate  5.0*x
  }
  object { BLDP_DiferenciaCilindro16 }
  object { // BLDP_DiferenciaCilindro17 -> BLDP_DiferenciaCilindro16
    BLDP_DiferenciaCilindro16
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro18 -> BLDP_DiferenciaCilindro16
    BLDP_DiferenciaCilindro16
    translate  2.0*x
  }
}
#declare BLDP_TercerPisoRojo12 = object {
  object { // BLDP_TercerPisoRojo12 -> BLDP_Bloque2x2
    BLDP_Bloque2x2
    translate  <0.0, -4.0, 2.4>
  }
}
#declare BLDP_TercerPisoAmarillo01 = object {
  object { // BLDP_TercerPisoAmarillo01 -> BLDP_TercerPisoRojo01
    BLDP_TercerPisoRojo01
    translate  <-4.0, 2.0, 0.0>
  }
}
#declare BLDP_SegundoPisoAzul01 = object {
  object { // BLDP_SegundoPisoAzul01 -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    translate  <-7.0, -3.0, 1.2>
  }
}
#declare BLDP_SegundoPisoAzul03 = object {
  object { // BLDP_SegundoPisoAzul03 -> BLDP_SegundoPisoAzul01
    BLDP_SegundoPisoAzul01
    rotate -0.0*y
    translate  8.0*x
  }
}
#declare BLDP_SegundoPisoAzul05 = object {
  object { // BLDP_SegundoPisoAzul05 -> BLDP_SegundoPisoAzul01
    BLDP_SegundoPisoAzul01
    rotate -0.0*y
    translate  4.0*y
  }
}
#declare BLDP_SegundoPisoAzul06 = object {
  object { // BLDP_SegundoPisoAzul06 -> BLDP_SegundoPisoAzul05
    BLDP_SegundoPisoAzul05
    translate  6.0*x
  }
}
#declare BLDP_DiferenciaCilindro3 = difference {
  cylinder { // BLDP_CilindroInterno1
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 1.0>
    translate  <1.0, 1.0, 0.0>
  }
  cylinder { // BLDP_CilindroRestaInterno1
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.02>
    translate  <1.0, 1.0, -0.01>
  }
}
#declare BLDP_PegueCilindrico2x12 = object {
  cylinder { // BLDP_PegueCilindrico2x12
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.3>
    translate  <0.5, 0.5, 0.0>
  }
}
#declare BLDP_PegueCilindrico2x13 = object {
  object { // BLDP_PegueCilindrico2x13 -> BLDP_PegueCilindrico2x12
    BLDP_PegueCilindrico2x12
    translate  1.0*y
  }
}
#declare BLDP_PegueCilindrico2x16 = object {
  object { // BLDP_PegueCilindrico2x16 -> BLDP_PegueCilindrico2x12
    BLDP_PegueCilindrico2x12
    translate  3.0*x
  }
}
#declare BLDP_PegueCilindrico2x19 = object {
  object { // BLDP_PegueCilindrico2x19 -> BLDP_PegueCilindrico2x13
    BLDP_PegueCilindrico2x13
    translate  3.0*x
  }
}
#declare BDLP_CarcazaPrincipal2x5 = union {
  box { // BDLP_BaseCarcaza2x8
    <-1, -1, -1>, <1, 1, 1>
    scale <3.99, 0.99, 0.595>
    translate  <4.0, 1.0, 0.595>
  }
  object { BLDP_PegueCilindrico2x12 }
  object { BLDP_PegueCilindrico2x13 }
  object { // BLDP_PegueCilindrico2x14 -> BLDP_PegueCilindrico2x12
    BLDP_PegueCilindrico2x12
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x15 -> BLDP_PegueCilindrico2x12
    BLDP_PegueCilindrico2x12
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x16 }
  object { // BLDP_PegueCilindrico2x17 -> BLDP_PegueCilindrico2x13
    BLDP_PegueCilindrico2x13
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x18 -> BLDP_PegueCilindrico2x13
    BLDP_PegueCilindrico2x13
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x19 }
  object { // BLDP_PegueCilindrico2x20 -> BLDP_PegueCilindrico2x19
    BLDP_PegueCilindrico2x19
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x21 -> BLDP_PegueCilindrico2x19
    BLDP_PegueCilindrico2x19
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x22 -> BLDP_PegueCilindrico2x19
    BLDP_PegueCilindrico2x19
    translate  3.0*x
  }
  object { // BLDP_PegueCilindrico2x23 -> BLDP_PegueCilindrico2x19
    BLDP_PegueCilindrico2x19
    translate  4.0*x
  }
  object { // BLDP_PegueCilindrico2x24 -> BLDP_PegueCilindrico2x16
    BLDP_PegueCilindrico2x16
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x25 -> BLDP_PegueCilindrico2x16
    BLDP_PegueCilindrico2x16
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x26 -> BLDP_PegueCilindrico2x16
    BLDP_PegueCilindrico2x16
    translate  3.0*x
  }
  object { // BLDP_PegueCilindrico2x27 -> BLDP_PegueCilindrico2x16
    BLDP_PegueCilindrico2x16
    translate  4.0*x
  }
}
#declare BLDP_Carcaza2x5 = difference {
  object { BDLP_CarcazaPrincipal2x5 }
  box { // BLDP_RestaCarcaza1
    <-1, -1, -1>, <1, 1, 1>
    scale <3.8, 0.8, 0.5>
    translate  <4.0, 1.0, 0.499>
  }
}
#declare BLDP_Bloque2x8 = union {
  object { BLDP_DiferenciaCilindro3 }
  object { BLDP_Carcaza2x5 }
  object { // BLDP_DiferenciaCilindro4 -> BLDP_DiferenciaCilindro3
    BLDP_DiferenciaCilindro3
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro5 -> BLDP_DiferenciaCilindro3
    BLDP_DiferenciaCilindro3
    translate  2.0*x
  }
  object { // BLDP_DiferenciaCilindro6 -> BLDP_DiferenciaCilindro3
    BLDP_DiferenciaCilindro3
    translate  3.0*x
  }
  object { // BLDP_DiferenciaCilindro7 -> BLDP_DiferenciaCilindro3
    BLDP_DiferenciaCilindro3
    translate  4.0*x
  }
  object { // BLDP_DiferenciaCilindro8 -> BLDP_DiferenciaCilindro3
    BLDP_DiferenciaCilindro3
    translate  5.0*x
  }
  object { // BLDP_DiferenciaCilindro9 -> BLDP_DiferenciaCilindro3
    BLDP_DiferenciaCilindro3
    translate  6.0*x
  }
}
#declare BLDP_DiferenciaCilindro19 = difference {
  cylinder { // BLDP_CilindroInterno3
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 1.0>
    translate  <1.0, 1.0, 0.0>
  }
  cylinder { // BLDP_CilindroRestaInterno3
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.02>
    translate  <1.0, 1.0, -0.01>
  }
}
#declare BLDP_PegueCilindrico2x48 = object {
  cylinder { // BLDP_PegueCilindrico2x48
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 1.3>
    translate  <0.5, 0.5, 0.0>
  }
}
#declare BLDP_PegueCilindrico2x49 = object {
  object { // BLDP_PegueCilindrico2x49 -> BLDP_PegueCilindrico2x48
    BLDP_PegueCilindrico2x48
    translate  1.0*y
  }
}
#declare BLDP_PegueCilindrico2x52 = object {
  object { // BLDP_PegueCilindrico2x52 -> BLDP_PegueCilindrico2x48
    BLDP_PegueCilindrico2x48
    translate  3.0*x
  }
}
#declare BLDP_PegueCilindrico2x55 = object {
  object { // BLDP_PegueCilindrico2x55 -> BLDP_PegueCilindrico2x49
    BLDP_PegueCilindrico2x49
    translate  3.0*x
  }
}
#declare BLDP_PegueCilindrico2x59 = object {
  object { // BLDP_PegueCilindrico2x59 -> BLDP_PegueCilindrico2x55
    BLDP_PegueCilindrico2x55
    translate  4.0*x
  }
}
#declare BLDP_PegueCilindrico2x63 = object {
  object { // BLDP_PegueCilindrico2x63 -> BLDP_PegueCilindrico2x52
    BLDP_PegueCilindrico2x52
    translate  4.0*x
  }
}
#declare BLDP_PegueCilindrico2x65 = object {
  object { // BLDP_PegueCilindrico2x65 -> BLDP_PegueCilindrico2x63
    BLDP_PegueCilindrico2x63
    translate  2.0*x
  }
}
#declare BLDP_PegueCilindrico2x67 = object {
  object { // BLDP_PegueCilindrico2x67 -> BLDP_PegueCilindrico2x59
    BLDP_PegueCilindrico2x59
    translate  2.0*x
  }
}
#declare BLDP_PegueCilindrico2x72 = object {
  object { // BLDP_PegueCilindrico2x72 -> BLDP_PegueCilindrico2x49
    BLDP_PegueCilindrico2x49
    translate  1.0*y
  }
}
#declare BLDP_PegueCilindrico2x73 = object {
  object { // BLDP_PegueCilindrico2x73 -> BLDP_PegueCilindrico2x49
    BLDP_PegueCilindrico2x49
    translate  2.0*y
  }
}
#declare BDLP_CarcazaPrincipal2x7 = union {
  box { // BDLP_BaseCarcaza2x11
    <-1, -1, -1>, <1, 1, 1>
    scale <5.99, 1.99, 0.595>
    translate  <6.0, 2.0, 0.595>
  }
  object { BLDP_PegueCilindrico2x48 }
  object { BLDP_PegueCilindrico2x49 }
  object { // BLDP_PegueCilindrico2x50 -> BLDP_PegueCilindrico2x48
    BLDP_PegueCilindrico2x48
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x51 -> BLDP_PegueCilindrico2x48
    BLDP_PegueCilindrico2x48
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x52 }
  object { // BLDP_PegueCilindrico2x53 -> BLDP_PegueCilindrico2x49
    BLDP_PegueCilindrico2x49
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x54 -> BLDP_PegueCilindrico2x49
    BLDP_PegueCilindrico2x49
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x55 }
  object { // BLDP_PegueCilindrico2x56 -> BLDP_PegueCilindrico2x55
    BLDP_PegueCilindrico2x55
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x57 -> BLDP_PegueCilindrico2x55
    BLDP_PegueCilindrico2x55
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x58 -> BLDP_PegueCilindrico2x55
    BLDP_PegueCilindrico2x55
    translate  3.0*x
  }
  object { BLDP_PegueCilindrico2x59 }
  object { // BLDP_PegueCilindrico2x60 -> BLDP_PegueCilindrico2x52
    BLDP_PegueCilindrico2x52
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x61 -> BLDP_PegueCilindrico2x52
    BLDP_PegueCilindrico2x52
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x62 -> BLDP_PegueCilindrico2x52
    BLDP_PegueCilindrico2x52
    translate  3.0*x
  }
  object { BLDP_PegueCilindrico2x63 }
  object { // BLDP_PegueCilindrico2x64 -> BLDP_PegueCilindrico2x63
    BLDP_PegueCilindrico2x63
    translate  1.0*x
  }
  object { BLDP_PegueCilindrico2x65 }
  object { // BLDP_PegueCilindrico2x66 -> BLDP_PegueCilindrico2x59
    BLDP_PegueCilindrico2x59
    translate  1.0*x
  }
  object { BLDP_PegueCilindrico2x67 }
  object { // BLDP_PegueCilindrico2x68 -> BLDP_PegueCilindrico2x67
    BLDP_PegueCilindrico2x67
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x69 -> BLDP_PegueCilindrico2x67
    BLDP_PegueCilindrico2x67
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x70 -> BLDP_PegueCilindrico2x65
    BLDP_PegueCilindrico2x65
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x71 -> BLDP_PegueCilindrico2x65
    BLDP_PegueCilindrico2x65
    translate  2.0*x
  }
  object { BLDP_PegueCilindrico2x72 }
  object { BLDP_PegueCilindrico2x73 }
  object { // BLDP_PegueCilindrico2x74 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x75 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x76 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  3.0*x
  }
  object { // BLDP_PegueCilindrico2x77 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  4.0*x
  }
  object { // BLDP_PegueCilindrico2x78 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  5.0*x
  }
  object { // BLDP_PegueCilindrico2x79 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  6.0*x
  }
  object { // BLDP_PegueCilindrico2x80 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  7.0*x
  }
  object { // BLDP_PegueCilindrico2x81 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  8.0*x
  }
  object { // BLDP_PegueCilindrico2x82 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  9.0*x
  }
  object { // BLDP_PegueCilindrico2x83 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  10.0*x
  }
  object { // BLDP_PegueCilindrico2x84 -> BLDP_PegueCilindrico2x72
    BLDP_PegueCilindrico2x72
    translate  11.0*x
  }
  object { // BLDP_PegueCilindrico2x85 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  1.0*x
  }
  object { // BLDP_PegueCilindrico2x86 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  2.0*x
  }
  object { // BLDP_PegueCilindrico2x87 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  3.0*x
  }
  object { // BLDP_PegueCilindrico2x88 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  4.0*x
  }
  object { // BLDP_PegueCilindrico2x89 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  5.0*x
  }
  object { // BLDP_PegueCilindrico2x90 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  6.0*x
  }
  object { // BLDP_PegueCilindrico2x91 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  7.0*x
  }
  object { // BLDP_PegueCilindrico2x92 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  8.0*x
  }
  object { // BLDP_PegueCilindrico2x93 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  9.0*x
  }
  object { // BLDP_PegueCilindrico2x94 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  10.0*x
  }
  object { // BLDP_PegueCilindrico2x95 -> BLDP_PegueCilindrico2x73
    BLDP_PegueCilindrico2x73
    translate  11.0*x
  }
}
#declare BLDP_Carcaza2x7 = difference {
  object { BDLP_CarcazaPrincipal2x7 }
  box { // BLDP_RestaCarcaza4x12
    <-1, -1, -1>, <1, 1, 1>
    scale <5.8, 1.8, 0.5>
    translate  <6.0, 2.0, 0.499>
  }
}
#declare BLDP_DiferenciaCilindro25 = object {
  object { // BLDP_DiferenciaCilindro25 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  6.0*x
  }
}
#declare BLDP_DiferenciaCilindro27 = object {
  object { // BLDP_DiferenciaCilindro27 -> BLDP_DiferenciaCilindro25
    BLDP_DiferenciaCilindro25
    translate  2.0*x
  }
}
#declare BLDP_DiferenciaCilindro28 = object {
  object { // BLDP_DiferenciaCilindro28 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  2.0*y
  }
}
#declare BLDP_DiferenciaCilindro41 = object {
  object { // BLDP_DiferenciaCilindro41 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  1.0*y
  }
}
#declare BLDP_Bloque4x12 = union {
  object { BLDP_DiferenciaCilindro19 }
  object { BLDP_Carcaza2x7 }
  object { // BLDP_DiferenciaCilindro20 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro21 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  2.0*x
  }
  object { // BLDP_DiferenciaCilindro22 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  3.0*x
  }
  object { // BLDP_DiferenciaCilindro23 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  4.0*x
  }
  object { // BLDP_DiferenciaCilindro24 -> BLDP_DiferenciaCilindro19
    BLDP_DiferenciaCilindro19
    translate  5.0*x
  }
  object { BLDP_DiferenciaCilindro25 }
  object { // BLDP_DiferenciaCilindro26 -> BLDP_DiferenciaCilindro25
    BLDP_DiferenciaCilindro25
    translate  1.0*x
  }
  object { BLDP_DiferenciaCilindro27 }
  object { BLDP_DiferenciaCilindro28 }
  object { // BLDP_DiferenciaCilindro29 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro30 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  2.0*x
  }
  object { // BLDP_DiferenciaCilindro31 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  3.0*x
  }
  object { // BLDP_DiferenciaCilindro32 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  4.0*x
  }
  object { // BLDP_DiferenciaCilindro33 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  5.0*x
  }
  object { // BLDP_DiferenciaCilindro34 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  6.0*x
  }
  object { // BLDP_DiferenciaCilindro35 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  7.0*x
  }
  object { // BLDP_DiferenciaCilindro36 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  8.0*x
  }
  object { // BLDP_DiferenciaCilindro37 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  9.0*x
  }
  object { // BLDP_DiferenciaCilindro38 -> BLDP_DiferenciaCilindro28
    BLDP_DiferenciaCilindro28
    translate  10.0*x
  }
  object { // BLDP_DiferenciaCilindro39 -> BLDP_DiferenciaCilindro27
    BLDP_DiferenciaCilindro27
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro40 -> BLDP_DiferenciaCilindro27
    BLDP_DiferenciaCilindro27
    translate  2.0*x
  }
  object { BLDP_DiferenciaCilindro41 }
  object { // BLDP_DiferenciaCilindro42 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  1.0*x
  }
  object { // BLDP_DiferenciaCilindro43 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  2.0*x
  }
  object { // BLDP_DiferenciaCilindro44 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  3.0*x
  }
  object { // BLDP_DiferenciaCilindro45 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  4.0*x
  }
  object { // BLDP_DiferenciaCilindro46 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  5.0*x
  }
  object { // BLDP_DiferenciaCilindro47 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  6.0*x
  }
  object { // BLDP_DiferenciaCilindro48 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  7.0*x
  }
  object { // BLDP_DiferenciaCilindro49 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  8.0*x
  }
  object { // BLDP_DiferenciaCilindro50 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  9.0*x
  }
  object { // BLDP_DiferenciaCilindro51 -> BLDP_DiferenciaCilindro41
    BLDP_DiferenciaCilindro41
    translate  10.0*x
  }
}






//
// ********  OBJECTS  *******
//



#declare BLDP_MastilPequenoNegro = union {
  object { BLDP_MastilPequenoNegro01 }
  object { BLDP_MastilPequenoNegro02 }
  object { // BLDP_MastilPequenoNegro03 -> BLDP_MastilPequenoNegro02
    BLDP_MastilPequenoNegro02
    rotate -0.0*x
    translate  4.0*y
  }
  material {
    BLDP_Negro
  }
  translate  1.0*x
}
#declare BLDP_MastilPequeno = union {
  object { BLDP_MastilPequenoNegro }
  object { BLDP_MastilPequenoAzul }
  object { BLDP_MastilPequenoAzul1 }
  object { // BLDP_MastilPequenoAzul2 -> BLDP_MastilPequenoAzul1
    BLDP_MastilPequenoAzul1
    material {
      BLDP_Gris
    }
    rotate 90.0*z
    translate  <2.0, -3.0, 3.6>
  }
}
#declare BLDP_MastilGrandePequeno = union {
  object { BLDP_MastilGrandeBlanco01 }
  object { BLDP_MastilGrandeBlanco02 }
  object { BLDP_MastilGrandeBlanco03 }
  object { // BLDP_MastilGrandeBlanco04 -> BLDP_MastilGrandeBlanco03
    BLDP_MastilGrandeBlanco03
    rotate 0.0*x
    translate  <0.0, 4.0, 0.0>
  }
  object { // BLDP_MastilGrandeBlanco05 -> BLDP_MastilGrandeBlanco03
    BLDP_MastilGrandeBlanco03
    rotate 0.0*x
    translate  <0.0, 8.0, 0.0>
  }
  object { // BLDP_MastilGrandeBlanco06 -> BLDP_MastilGrandeBlanco02
    BLDP_MastilGrandeBlanco02
    rotate <0.0, 0.0, 0.0>
    translate  <-0.0, 4.0, 0.0>
  }
  material {
    BLDP_Blanco
  }
}
#declare BLDP_MastilGrandeNegro = union {
  object { BLDP_MastilGrandeNegro01 }
  object { // BLDP_MastilGrandeNegro02 -> BLDP_MastilGrandeNegro01
    BLDP_MastilGrandeNegro01
    rotate 0.0*z
    translate  <-0.0, -0.0, 1.2>
  }
  material {
    BLDP_Negro
  }
}
#declare BLDP_MastilGrande = union {
  object { BLDP_MastilGrandePequeno }
  object { BLDP_MastilGrandeNegro }
  object { BLDP_MastilGrandePoste01 }
  object { // BLDP_MastilGrandePoste02 -> BLDP_MastilGrandePoste01
    BLDP_MastilGrandePoste01
    material {
      BLDP_Azul
    }
    translate  1.2*z
  }
  object { // BLDP_MastilGrandePoste03 -> BLDP_MastilGrandePoste01
    BLDP_MastilGrandePoste01
    material {
      BLDP_Rojo
    }
    translate  2.4*z
  }
  object { // BLDP_MastilGrandePoste04 -> BLDP_MastilGrandePoste01
    BLDP_MastilGrandePoste01
    material {
      BLDP_Rojo
    }
    translate  3.6*z
  }
  object { // BLDP_MastilGrandePoste05 -> BLDP_MastilGrandePoste01
    BLDP_MastilGrandePoste01
    material {
      BLDP_Blanco
    }
    translate  4.8*z
  }
  object { // BLDP_MastilGrandePoste06 -> BLDP_MastilGrandePoste01
    BLDP_MastilGrandePoste01
    material {
      BLDP_Rojo
    }
    translate  6.0*z
  }
}
#declare BLDP_CuartoPisoAmarillo = union {
  object { BLDP_CuartoPisoAmarillo01 }
  object { // BLDP_CuartoPisoAmarillo02 -> BLDP_CuartoPisoAmarillo01
    BLDP_CuartoPisoAmarillo01
    rotate -0.0*y
    translate  <4.0, 2.0, 0.0>
  }
  object { // BLDP_CuartoPisoAmarillo03 -> BLDP_CuartoPisoAmarillo01
    BLDP_CuartoPisoAmarillo01
    rotate -0.0*y
    translate  <8.0, 4.0, 0.0>
  }
  object { // BLDP_CuartoPisoAmarillo04 -> BLDP_CuartoPisoAmarillo01
    BLDP_CuartoPisoAmarillo01
    rotate -0.0*y
    translate  <4.0, -2.0, 0.0>
  }
  object { // BLDP_CuartoPisoAmarillo05 -> BLDP_CuartoPisoAmarillo01
    BLDP_CuartoPisoAmarillo01
    rotate -0.0*y
    translate  <8.0, -4.0, 0.0>
  }
  object { // BLDP_CuartoPisoAmarillo06 -> BLDP_CuartoPisoAmarillo01
    BLDP_CuartoPisoAmarillo01
    rotate -0.0*y
    translate  <19.0, 0.0, 0.0>
  }
  material {
    BLDP_Amarillo
  }
}
#declare BLDP_CuartoPiso = union {
  object { BLDP_CuartoPisoAmarillo }
  object { // BLDP_CuartoPisoRojo -> BLDP_Bloque2x4
    BLDP_Bloque2x4
    material {
      BLDP_Rojo
    }
    translate  <9.0, -1.0, 3.6>
  }
}
#declare BLDP_TercerPisoRojo = union {
  object { BLDP_TercerPisoRojo01 }
  object { // BLDP_TercerPisoRojo02 -> BLDP_TercerPisoRojo01
    BLDP_TercerPisoRojo01
    translate  2.0*y
  }
  object { // BLDP_TercerPisoRojo03 -> BLDP_TercerPisoRojo01
    BLDP_TercerPisoRojo01
    translate  4.0*y
  }
  object { // BLDP_TercerPisoRojo04 -> BLDP_TercerPisoRojo01
    BLDP_TercerPisoRojo01
    translate  6.0*y
  }
  object { BLDP_TercerPisoRojo05 }
  object { BLDP_TercerPisoRojo06 }
  object { // BLDP_TercerPisoRojo07 -> BLDP_TercerPisoRojo06
    BLDP_TercerPisoRojo06
    translate  6.0*y
  }
  object { BLDP_TercerPisoRojo08 }
  object { BLDP_TercerPisoRojo09 }
  object { // BLDP_TercerPisoRojo10 -> BLDP_TercerPisoRojo09
    BLDP_TercerPisoRojo09
    translate  -4.0*y
  }
  object { // BLDP_TercerPisoRojo11 -> BLDP_Bloque2x10
    BLDP_Bloque2x10
    translate  <5.0, -1.0, 2.4>
  }
  object { BLDP_TercerPisoRojo12 }
  object { // BLDP_TercerPisoRojo13 -> BLDP_TercerPisoRojo12
    BLDP_TercerPisoRojo12
    translate  6.0*y
  }
  material {
    BLDP_Rojo
  }
}
#declare BLDP_TercerPisoAmarillo = union {
  object { BLDP_TercerPisoAmarillo01 }
  object { // BLDP_TercerPisoAmarillo02 -> BLDP_TercerPisoAmarillo01
    BLDP_TercerPisoAmarillo01
    translate  2.0*y
  }
  material {
    BLDP_Amarillo
  }
}
#declare BLDP_TercerPiso = union {
  object { BLDP_TercerPisoRojo }
  object { BLDP_TercerPisoAmarillo }
}
#declare BLDP_SegundoPisoAzul = union {
  object { BLDP_SegundoPisoAzul01 }
  object { // BLDP_SegundoPisoAzul02 -> BLDP_SegundoPisoAzul01
    BLDP_SegundoPisoAzul01
    rotate -0.0*y
    translate  4.0*x
  }
  object { BLDP_SegundoPisoAzul03 }
  object { // BLDP_SegundoPisoAzul04 -> BLDP_SegundoPisoAzul03
    BLDP_SegundoPisoAzul03
    rotate -90.0*z
    translate  <8.0, 2.0, 0.0>
  }
  object { BLDP_SegundoPisoAzul05 }
  object { BLDP_SegundoPisoAzul06 }
  object { // BLDP_SegundoPisoAzul07 -> BLDP_SegundoPisoAzul06
    BLDP_SegundoPisoAzul06
    translate  4.0*x
  }
  object { // BLDP_SegundoPisoAzul08 -> BLDP_Bloque2x2
    BLDP_Bloque2x2
    translate  <-3.0, 1.0, 1.2>
  }
  material {
    BLDP_Azul
  }
}
#declare BLDP_SegundoPiso = union {
  object { BLDP_SegundoPisoAzul }
  object { // BLDP_SegundoPisoRojo -> BLDP_Bloque2x8
    BLDP_Bloque2x8
    material {
      BLDP_Rojo
    }
    translate  <-9.0, -1.0, 1.2>
  }
}
              
#macro BLDP_BarcoLegoDinamarcaPersonal( Etapa )
union { // BLDP_Barco
  #switch ( Etapa )
    #range ( 5, 25 )
      object { BLDP_MastilGrande }
    #case ( 4 )
      object { BLDP_MastilPequeno }
    #case ( 3 )
      object { BLDP_CuartoPiso }
    #case ( 2 )
      object { BLDP_TercerPiso }
    #case ( 1 )
      object { BLDP_SegundoPiso }
    #case ( 0 )
       object { // BLDP_PrimerPiso -> BLDP_Bloque4x12
         BLDP_Bloque4x12
         material {
           BLDP_Verde
         }
         translate  <-6.0, -2.0, 0.0>
       }
  #end
  rotate        -90*x
  scale       BLDP_FactorEscala
}
#end


