// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escazu, San Jose, Costa Rica
// dedicado a Jesus y Maria...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 4 de febrero, 2013
//                
// Mis dibujos estan en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
//
// BLDP BarcoLegoDinamarcaPersonal
// El modelo es original, esta es la historia:
//      Yo le dije a varias personas que el nuevo paquete
//      FreeRay2012 contendria un barco modelado en Moray.
//      Por falta de tiempo no pude satisfacer este
//      proyecto en esta version de FreeRay.
//      Como consolacion modele con mi LEGO de marca de DINAMARCA
//      este barco de mi imaginacion (para tranquilidad de
//      los usuarios de la patente LGPL).
//      Use Moray, que puede exporta a POVRay.
//      Como la Biblioteca oficial POVRay no acepta
//      archivos tipo Moray puro, no incluyo el codigo original.
//      Lo siento...
//
// El archivo dibuja un barco de LEGO para menores de edad.
// Puede dibujarse por etapas.
// #macro BLDP_BarcoLegoDinamarcaPersonal( Etapa )
//      Etapa           : Valor entero entre 0 y 5.  El valor 0 dibuja
//                        la base de color verde.  Cada valor agrega
//                        un piso.  El valor 4 un mastil, el valor 5
//                        dos mastiles.
//
// Las dimensiones del barco de lego.
// El microfono descansa en el plano XZ.
// El barco se encuentra parcialmente centrado en el origan.
// El microfono sobresale hacia Y+, frente hacia X+.
//      Minimo      : < -95,   0,-34>*L aprox
//      Maximo      : < 102, 114, 34>*L aprox
//
// Los siguientes son los modificadores
// aplicables y redefinibles por el usuario (si se indica es default)
// #declare BLDP_POV3_1                        = off;
//      Valor on activa modo de compatibilidad con POVRay 3.1.
//      En algunas versiones se activara automaticamente.
//      En esta version no cumple ninguna funcion.
// #declare BLDP_Verde                         = texture { ... }
//      Permite modificar la textura de los bloques de color
//      verde.  Debe declararse antes del #include.
// #declare BLDP_Azul                          = texture { ... }
//      Permite modificar la textura de los bloques de color
//      azul.  Debe declararse antes del #include.
// #declare BLDP_Rojo                          = texture { ... }
//      Permite modificar la textura de los bloques de color
//      rojo.  Debe declararse antes del #include.
// #declare BLDP_Blanco                        = texture { ... }
//      Permite modificar la textura de los bloques de color
//      blanco.  Debe declararse antes del #include.
// #declare BLDP_Negro                         = texture { ... }
//      Permite modificar la textura de los bloques de color
//      negro.  Debe declararse antes del #include.
// #declare BLDP_Gris                          = texture { ... }
//      Permite modificar la textura de los bloques de color
//      gris.  Debe declararse antes del #include.
// #declare BLDP_Amarillo                      = texture { ... }
//      Permite modificar la textura de los bloques de color
//      amarillo.  Debe declararse antes del #include.
//
// Para colocarlo simplemente
// #include "BLDP.inc"
// object        { BLDP_BarcoLegoDinamarcaPersonal(5) }
//
// Otro ejemplo con modificador
// #declare BLDP_Amarillo       = texture { PinkAlabaster }
// #include "BLDP.inc"
//
// object        {
//      BLDP_BarcoLegoDinamarcaPersonal(4)
// }
//


//  Material Include file.
//
//  This file was generated for POV-Ray V3.5 by
//  NOTE: Do *NOT* remove the comment lines containing '$MRY$'.
//        To make Moray not re-export the material, change
//        the '$MRY$' to '$MRX$'.
//


//
// ********  MATERIALS  *******
//







// Materials from previous exports [MRY]

// Materials exported in this run [MRY]



//  $MRY$: 'T UV Mesh'





//  $MRY$: 'BLDP_Verde'



#ifndef ( BLDP_Verde )
#declare BLDP_Verde = 

   material  // BLDP_Verde

   {   

      texture

      {      

         pigment

         {

            color rgb <0.0, 0.501961, 0.0>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Verde )


//  $MRY$: 'BLDP_Azul'




#ifndef ( BLDP_Azul )
#declare BLDP_Azul = 

   material  // BLDP_Azul

   {   

      texture

      {      

         pigment

         {

            color rgb <0.0, 0.458824, 0.917647>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Azul )



//  $MRY$: 'BLDP_Rojo'




#ifndef ( BLDP_Rojo )
#declare BLDP_Rojo = 

   material  // BLDP_Rojo

   {   

      texture

      {      

         pigment

         {

            color rgb <0.882353, 0.0, 0.0>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Rojo )



//  $MRY$: 'BLDP_Amarillo'




#ifndef ( BLDP_Amarillo )
#declare BLDP_Amarillo = 

   material  // BLDP_Amarillo

   {   

      texture

      {      

         pigment

         {

            color rgb <0.94902, 0.94902, 0.0>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Amarillo )



//  $MRY$: 'BLDP_Negro'




#ifndef ( BLDP_Negro )
#declare BLDP_Negro = 

   material  // BLDP_Negro

   {   

      texture

      {      

         pigment

         {

            color rgb <0.090196, 0.0, 0.090196>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Negro )



//  $MRY$: 'BLDP_Gris'




#ifndef ( BLDP_Gris )
#declare BLDP_Gris = 

   material  // BLDP_Gris

   {   

      texture

      {      

         pigment

         {

            color rgb <0.752941, 0.752941, 0.752941>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Gris )



//  $MRY$: 'BLDP_Blanco'




#ifndef ( BLDP_Blanco )
#declare BLDP_Blanco = 

   material  // BLDP_Blanco

   {   

      texture

      {      

         pigment

         {

            color rgb <0.988235, 0.988235, 0.988235>

         }      

         normal

         {

            bumps , 0.1

         }

      }

   }
#end // #ifndef ( BLDP_Blanco )

