// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escazu, San Jose, Costa Rica
// dedicado a Jesus y Maria...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 8 mayo 2012
//                
// Mis dibujos estan en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
//
// MCSI MuebleCocinaSuperiorInferior
// El archivo permite dibujar un mueble de cocina de superficie
// impermeable, para acomodar ingredientes, electromesticos y otros
// recursos de cocina.
// #macro MCSI_MuebleCocina
//        ( VisibleSuperior,
//                Angulo1, Angulo2, Angulo3, Angulo4, Angulo5, Angulo6 )
//      VisibleSuperior         : "on" dibuja el mueble superior
//                                "off" no lo dibuja
//      Angulo1                 : Angulo de apertura para primera
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo2                 : Angulo de apertura para segunda
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo3                 : Angulo de apertura para tercera
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo4                 : Angulo de apertura para cuarta
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo1                 : Angulo de apertura para primera
//              puertecilla inferior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo6                 : Angulo de apertura para segunda
//              puertecilla inferior de izquierda a derecha.
//              Cero para totalmente cerrada.
//
// El mismo mueble puede dibujarse con mayor control sobre los detalles
// con dos macros.
// La siguiente macro dibuja el mueble superior.  Seria necesario aplicar
// translate 1026*L*y para ubicarlo en posicion default.
// #macro MCSI_MuebleCocinaSuperiorClavos
//        ( Alto, Frente, Profundidad, GruesoLateral, GruesoNormal,
//          Pisos, Compartimientos, FraccionAgarradera, FraccionAgarradera2,
//          DoblePuerta, PaqueteAngular,
//          TexturaMadera, TexturaMaderaBarata, TexturaAgarradera )
//      Alto                    : Alto de mueble superior.  Default es 286*L.
//      Frente                  : Frente de mueble superior.
//              Default es 1080*L.
//      Profundidad             : Referencia para la profundidad del mueble.
//              Default es 219*L.
//      GruesoLateral           : Referencia para los bordes laterales
//              de las puertas de compartimientos.  Default es 21*L.
//      GruesoNormal            : Referencia para el grueso de madera interna.
//              Default es 8*L.
//      Pisos                   : Total de pisos internos.  Default es 2.
//      Compartimientos          : Total de compartimientos horizontales.
//              Default es 2.
//      FraccionAgarradera      : Valor fraccionario para ubicar a lo alto
//              la agarradera en la puertecilla.  Cero no lo dibuja.
//              Default es 0.5.
//      FraccionAgarradera2     : Valor fraccionario para controlar el
//              tamano de la agarradera.  Default es 1.0.
//      DoblePuerta             : "on" utiliza puertas dobles
//                                      para cada compartimiento.
//                                "off" utiliza una puerta sencilla en
//                                      cada compartimiento.
//      PaqueteAngular          : array [Compartimientos][2]
//              La estructura depende de DoblePuerta
//              DoblePuerta "on"
//                      PaqueteAngular[C][0] angulo de apertura a partir
//                              de cero para la puerta izquierda
//                              del compartimiento C.
//                      PaqueteAngular[C][1] angulo de apertura a partir
//                              de cero para la puerta derecha
//                              del compartimiento C.
//              DoblePuerta "off"
//                      PaqueteAngular[C][0] angulo de apertura a partir
//                              de cero para la puerta del compartimiento C.
//                      PaqueteAngular[C][1]
//                              "on"  agarradera a la derecha
//                              "off" agarradera a la izquierda
//                              de cero para la puerta derecha
//                              del compartimiento C.
//      TexturaMadera           : textura principal a aplicar a la madera.
//              Default es MCSI_DefaultTexturaMadera.
//      TexturaMaderaBarata     : textura principal a aplicar a la
//              madera interior.  Default es MCSI_DefaultTexturaMaderaBarata.
//      TexturaAgarradera       : textura a aplicar a las agarraderas.
//              Default es MCSI_DefaultTexturaAgarradera
//
// Podemos dibujar el mueble inferior con mayor control sobre los detalles
// con la siguiente macro.
// #macro MCSI_MuebleCocinaInferiorClavos
//        ( AltoB, FrenteB, ProfundidadB, GruesoLateralB, GruesoNormalB,
//          AltoBaseB, AltoImpermeable,
//          PisosB, CompartimientosB, FraccionAgarradera, FraccionAgarradera2,
//          DoblePuerta, PaqueteAngularB,
//          TexturaMadera, TexturaMaderaBarata, TexturaAgarradera )
//      AltoB                   : Referencia para el alto de mueble inferior.
//              Default es 536*L.
//      FrenteB                 : Referencia para frente de mueble inferior.
//              Default es 1080*L.
//      ProfundidadB            : Referencia para la profundidad del mueble.
//              Default es 357*L.
//      GruesoLateralB          : Referencia para los bordes laterales
//              de las puertas de compartimientos.  Default es 50*L.
//      GruesoNormalB           : Referencia para el grueso de madera interna.
//              Default es 8*L.
//      AltoBaseB               : Alto de las patas soporte.  Default es 89*L.
//      AltoImpermeable         : Referencia para el alto
//              de la cubierta impermeable.  Default es 71*L.
//      PisosB                  : Total de pisos internos.  Default es 2.
//      CompartimientosB         : Total de compartimientos horizontales.
//              Default es 2.
//      FraccionAgarradera      : Valor fraccionario para ubicar a lo alto
//              la agarradera en la puertecilla.  Cero no lo dibuja.
//              Default es 0.6.
//      FraccionAgarradera2     : Valor fraccionario para controlar el
//              tamano de la agarradera.  Default es 0.75.
//      DoblePuerta             : "on" utiliza puertas dobles
//                                      para cada compartimiento.
//                                "off" utiliza una puerta sencilla en
//                                      cada compartimiento.
//      PaqueteAngularB         : array [CompartimientosB][2]
//              La estructura depende de DoblePuerta
//              DoblePuerta "on"
//                      PaqueteAngularB[C][0] angulo de apertura a partir
//                              de cero para la puerta izquierda
//                              del compartimiento C.
//                      PaqueteAngularB[C][1] angulo de apertura a partir
//                              de cero para la puerta derecha
//                              del compartimiento C.
//              DoblePuerta "off"
//                      PaqueteAngularB[C][0] angulo de apertura a partir
//                              de cero para la puerta del compartimiento C.
//                      PaqueteAngularB[C][1]
//                              "on"  agarradera a la derecha
//                              "off" agarradera a la izquierda
//                              de cero para la puerta derecha
//                              del compartimiento C.
//      TexturaMadera           : textura principal a aplicar a la madera.
//              Default es MCSI_DefaultTexturaMadera.
//      TexturaMaderaBarata     : textura principal a aplicar a la
//              madera interior.  Default es MCSI_DefaultTexturaMaderaBarata.
//      TexturaAgarradera       : textura a aplicar a las agarraderas.
//              Default es MCSI_DefaultTexturaAgarradera.
//      TexturaImpermeable      : textura a aplicar a la sobrecubierta
//              impermeable del mueble.
//              Default es MCSI_DefaultTexturaImpermeable.
//              
//
// La dimensiones del mueble de cocina default son :
//      Alto total                      = 1312*L
//      Alto estante superior           =  286*L
//      Altura estante superior         = 1026*L
//      Alto estante inferior           =  706*L
//      Frente estante superior         = 1080*L
//      Frente estante inferior         = 1134*L
//      Profundidad estante superior    =  219*L
//              con agarradera          =  234*L
//      Profundidad estante inferior    =  398*L
//              con agarradera          =  419*L
// El mueble se dibuja sobresaliendo hacia Z- sobre el plano YZ que hace de
// pared.  Se asume el mueble empotrado o en contacto con la pared;
// aunque la parte posterior del mueble inferior se desplaza hacia adelante
// unos 10*L para dar espacio a la cubierta impermeable.
//
// Estas son variables predefinidas o generadas en el
// interior de las macros que no deberian modificarse
// Si quiere modificarlas, recurra a los modificadores
// #declare MCSI_ArregloPisosInferior[Compartimientos][Pisos+1]
//      Se declara con el llamado a las macros
//      MCSI_MuebleCocina() y MCSI_MuebleCocinaInferiorClavos().
//      Es un arreglo de posiciones 3D, que facilita ubicar
//      objetos al interior de los compartimientos.
//      Calcula una posicion cercana al centro, un poco hacia atras.
//      Su orden es de izquierda a derecha y de abajo hacia arriba.
//      El vector MCSI_ArregloPisosInferior[C][Pisos] ubica la parte superior
//      del mueble, en linea con el compartimiento C respectivo.
// #declare MCSI_ArregloPisosSuperior[Compartimientos][Pisos+1]
//      Se declara con el llamado a las macros
//      MCSI_MuebleCocina() y MCSI_MuebleCocinaSuperiorClavos().
//      Es un arreglo de posiciones 3D, que facilita ubicar
//      objetos al interior de los compartimientos.
//      Calcula una posicion cercana al centro, un poco hacia atras.
//      Su orden es de izquierda a derecha y de abajo hacia arriba.
//      El vector MCSI_ArregloPisosSuperior[C][Pisos] ubica la parte superior
//      del mueble, en linea con el compartimiento C respectivo.
// #declare MCSI_ArregloPisos[Compartimientos][Pisos+1]
//      Se declara con el llamado a la macro 
//      MCSI_MuebleCocinaSuperiorClavos().
//      Es un arreglo de posiciones 3D, que facilita ubicar
//      objetos al interior de los compartimientos.
//      Calcula una posicion cercana al centro, un poco hacia atras.
//      Su orden es de izquierda a derecha y de abajo hacia arriba.
//      El vector MCSI_ArregloPisos[C][Pisos] ubica la parte superior
//      del mueble, en linea con el compartimiento C respectivo.
// #declare MCSI_TexturaMadera
//      Textura principal del mueble.
// #declare MCSI_TexturaBarata
//      Textura del interior del mueble.
// #declare MCSI_TexturaAgarradera
//      Textura de las agarraderas, y la bisagra de giro.
// #declare MCSI_TexturaImpermeable
//      Textura de la sobrecubierta impermeable del mueble inferior.
//
// Los siguientes son los modificadores
// aplicables y redefinibles por el usuario (si se indica es default)
// #declare MCSI_POV3_1                        = off;
//      Valor on activa modo de compatibilidad con POVRay 3.1.
//      En algunas versiones se activara automaticamente.
//      En esta version no cumple ninguna funcion.
// #declare MCSI_DefaultTexturaMadera           = texture { ... }
//      Textura principal del aparato.
// #declare MCSI_DefaultTexturaMaderaBarata     = texture { ... }
//      Textura del interior del mueble.
// #declare MCSI_DefaultTexturaAgarradera       = texture { ... }
//      Textura a aplicar a las agarraderas y a los ejes de las bisagras.
// #declare MCSI_DefaultTexturaImpermeable      = texture { ... }
//      Textura a aplicar a la sobrecubierta impermeable 
//      del mueble inferior.
// #macro MCSI_Agarradera()
//      Se permite redefinir las agarraderas.  Para ubicar se debe visualizar
//      como un cilindro similar a cylinder { 0, -Z, 1 };  con el frente
//      hacia -Z.
//
// Para colocarlo simplemente
// #include "MCSI.inc"
// object { MCSI_MuebleCocina(on,0,0,0,0,0,0) }
//
// O bien con mayor detalle
// #include "MCSI.inc"
// #declare PaqueteAngular      = array[2][2] {{90,on}{0,off}}
// object { MCSI_MuebleCocinaSuperiorClavos
//          ( 0.1, 0.2, 0.1, 0.01, 0.005,
//            3, 2, 0.5, 1.0, off, PaqueteAngular,
//            MCSI_DefaultTexturaMadera, MCSI_DefaultTexturaMaderaBarata,
//            MCSI_DefaultTexturaAgarradera ) }
// sphere     {
//      0, 0.03
//      translate MCSI_ArregloPisos[0][1]+0.015*y
//      pigment { Green }
// }
//
// O bien con modificadores
// #include "textures.inc"
// #include "MCSI.inc"
// #declare MCSI_DefaultTexturaMadera   = texture
//      { average texture_map { [0.5 MCSI_TexturaMadera] [0.5 Rust] } }
// object { MCSI_MuebleCocina(on,0,0,0,0,0,0) }
//    

#include "colors.inc"
#include "woods.inc"
#include "metals.inc"

#declare MCSI_L                 = 0.001;

#if ( version < 3.2 )
  #ifndef( MCSI_POV3_1 )
    #declare MCSI_POV3_1        = on;
  #end
#else
  #ifndef( MCSI_POV3_1 )
    #declare MCSI_POV3_1        = off;
  #end    
#end

#declare MCSI_TexturaMadera                     = texture       {
  T_Wood24
  scale         20
  normal        {
    agate
    scale       0.01
  }
}

#ifndef ( MCSI_DefaultTexturaMadera )
  #declare MCSI_DefaultTexturaMadera            = texture       {
    MCSI_TexturaMadera
  }
#end

#declare MCSI_TexturaImpermeable                = texture       {
  T_Wood30
  scale         10
}

#ifndef ( MCSI_DefaultTexturaImpermeable )
  #declare MCSI_DefaultTexturaImpermeable       = texture       {
    MCSI_TexturaImpermeable
  }
#end

#declare MCSI_TexturaMaderaBarata               = texture       {
  T_Wood5
  scale         0.3
  normal        {
    agate
    scale       0.01
  }
}

#ifndef ( MCSI_DefaultTexturaMaderaBarata )
  #declare MCSI_DefaultTexturaMaderaBarata      = texture       {
    MCSI_TexturaMaderaBarata
  }
#end

#declare MCSI_TexturaAgarradera                 = texture       {
  T_Brass_2B
  normal                {
    agate
    scale       0.01
  }
}

#ifndef ( MCSI_DefaultTexturaAgarradera )
  #declare MCSI_DefaultTexturaAgarradera        = texture       {
    MCSI_TexturaAgarradera
  }
#end

#ifndef ( MCSI_Agarradera )
  #macro MCSI_Agarradera()
    lathe       {
      cubic_spline
      5,
      <0.0,-1.0>,
      <0.5,0>,
      <1.0,1.0>,
      <0.0,1.0>,
      <-1.0,1.0>
      rotate    -90*x
    }
  #end
#end

#macro MCSI_MuebleCocinaSuperiorClavos
        ( Alto, Frente, Profundidad, GruesoLateral, GruesoNormal,
          Pisos, Compartimientos, FraccionAgarradera, FraccionAgarradera2,
          DoblePuerta, PaqueteAngular,
          TexturaMadera, TexturaMaderaBarata, TexturaAgarradera )
  union         {
    difference  {
      box         {
        < -Frente/2       , 0             ,       0       >,
        < +Frente/2       , Alto          , -Profundidad  >
        texture   {
          TexturaMadera
        }
      }
      box         {
        < -Frente/2       , 0             , -GruesoLateral>+
        GruesoLateral*11/21*<1,1,0>,
        < +Frente/2       , Alto          , -Profundidad  >+
        GruesoLateral*11/21*<-1,-1,-1>
        texture   {
          TexturaMaderaBarata
        }
      }
    }
    #local BordesPuertas        = array [Compartimientos][2]
    box                 {
      < -Frente/2       , 0             ,
               -Profundidad+GruesoLateral       >,
      < -Frente/2+GruesoLateral         , Alto  , -Profundidad  >
      texture           {
        TexturaMadera
      }
    }
    #local BordesPuertas[0][0]  = -Frente/2+GruesoLateral;
    box                 {
      < -Frente/2       , 0             ,
               -Profundidad+GruesoLateral       >*<-1,1,1>,
      < -Frente/2+GruesoLateral         , Alto  , -Profundidad  >*<-1,1,1>
      texture           {
        TexturaMadera
      }
    }
    #local BordesPuertas[Compartimientos-1][1]   = Frente/2-GruesoLateral;
    #local C            = 0;
    #local Total        = Compartimientos-1;
    #while ( C < Total )
      union             {
        box             {
          < -GruesoLateral*28/21*0.5, 0         ,
                -Profundidad+GruesoLateral >,
          < +GruesoLateral*28/21*0.5, Alto      , -Profundidad  >
          texture       {
            TexturaMadera
          }
        }
        box               {
          < -GruesoLateral*11/21*0.5, 0       ,       0       >+
          GruesoLateral*0.1*<0,1,-1>/2,
          < +GruesoLateral*11/21*0.5, Alto    , -Profundidad  >+
          GruesoLateral*0.1*<0,-1,+1>/2
          texture {
            TexturaMaderaBarata
          }
        }
        #local BordesPuertas[C][1]      = -GruesoLateral*28/21*0.5+
                Frente*( -0.5+1/Compartimientos*(C+1) );
        #local BordesPuertas[C+1][0]    =
                BordesPuertas[C][1]+GruesoLateral*28/21;
        translate       Frente*( -0.5+1/Compartimientos*( C+1 ) )*x
      }
      #local C          = C+1;
    #end
    #local C            = 0;
    #local Total        = Pisos-1;
    #local SeparacionInicial    = 138/286*Alto;
    #local SeparacionConsecutiva        = Alto-SeparacionInicial;
    #declare MCSI_ArregloPisos          = array[Compartimientos][Pisos+1]
    #local D            = 0;
    #while ( D < Compartimientos )
      #declare MCSI_ArregloPisos[D][0]  =
        ( BordesPuertas[D][0]+BordesPuertas[D][1] )/2*x
        -Profundidad/2*z+GruesoLateral*11/21*y;
      #declare MCSI_ArregloPisos[D][Pisos]      =
        ( BordesPuertas[D][0]+BordesPuertas[D][1] )/2*x
        -Profundidad/2*z+GruesoLateral*11/21*0*y+Alto*y;
      #local D          = D+1;
    #end
    #if ( Total > 1 )
      #local SeparacionInicial          = 156/286*2*( Alto/Pisos );
      #local SeparacionConsecutiva      = ( Alto-SeparacionInicial )/Total;
    #end
    #while ( C < Total )
      box               {
        < -Frente/2+GruesoLateral*0.1   , 0,
                -GruesoLateral*0.1     >,
        < +Frente/2-GruesoLateral*0.1   , GruesoNormal  ,
                        -Profundidad+GruesoLateral >
        translate       ( SeparacionInicial+SeparacionConsecutiva*C )*y
        #local D            = 0;
        #while ( D < Compartimientos )
          #declare MCSI_ArregloPisos[D][C+1]  =
            ( BordesPuertas[D][0]+BordesPuertas[D][1] )/2*x
            -Profundidad/2*z+
            ( SeparacionInicial+GruesoNormal+SeparacionConsecutiva*C )*y;
          #local D          = D+1;
        #end
        texture         {
          TexturaMaderaBarata
        }
      }
      #local C          = C+1;
    #end
    #local C            = 0;
    #local Total        = Compartimientos;
    #while ( C < Total )
      #local FrentePuerta       =
                ( BordesPuertas[C][1]-BordesPuertas[C][0] )/2;
      #local PuertaDerecha      = on;
      #local PuertaIzquierda    = on;
      #if ( !DoblePuerta )
        #local FrentePuerta     = FrentePuerta*2;
        #local PuertaDerecha    = PaqueteAngular[C][1];
        #if ( PuertaDerecha )
          #local PuertaIzquierda        = off;
        #else
          #local PuertaIzquierda        = on;
        #end
      #end
      #if ( PuertaDerecha )
        union             {
          box               {
            <0,GruesoLateral*11/21,2*GruesoNormal*11/21>+
            GruesoLateral*0.05*<+1,+1,0.1>,
            <FrentePuerta,Alto-GruesoLateral*11/21,0>+
            GruesoLateral*0.05*<-1,-1,0>
            texture         {
              TexturaMadera
              translate     C*0.15
              scale         0.2
              rotate        95*x
            }
          }
          cylinder      {
            GruesoLateral*11/21*y       ,
            ( Alto-GruesoLateral*11/21 )*y,
            0.003*FrentePuerta
            texture     {
              TexturaAgarradera
            }
          }
          box               {
            <0,GruesoLateral*11/21,2*GruesoNormal*11/21>+
            GruesoLateral*0.05*<0,0,0>,
            <FrentePuerta,Alto-GruesoLateral*11/21,0>+
            GruesoLateral*0.05*<0,0,0.1>
            texture         {
              average
              texture_map {
                [0.5 TexturaMaderaBarata ][0.5 TexturaMadera ]
              }
            }
          }
          #if ( FraccionAgarradera > 0 )
            object            {
              MCSI_Agarradera()
              scale           min( Alto, Frente )*0.05*FraccionAgarradera2
              translate       FraccionAgarradera*Alto*y
                        +0.8*FrentePuerta*x
              texture           {
                TexturaAgarradera
              }
            }
          #end
          rotate          PaqueteAngular[C][0]*y
          translate       BordesPuertas[C][0]*x-Profundidad*z
        }
      #end
      #if ( PuertaIzquierda )
        union             {
          box               {
            <0,GruesoLateral*11/21,2*GruesoNormal*11/21>+
            GruesoLateral*0.05*<+1,+1,0.1>,
            <FrentePuerta,Alto-GruesoLateral*11/21,0>+
            GruesoLateral*0.05*<-1,-1,0>
            texture         {
              TexturaMadera
              scale         0.2
              translate     C*0.15
              rotate        95*x
            }
          }
          cylinder      {
            GruesoLateral*11/21*y       ,
            ( Alto-GruesoLateral*11/21 )*y,
            0.003*FrentePuerta
            texture     {
              TexturaAgarradera
            }
          }
          box               {
            <0,GruesoLateral*11/21,2*GruesoNormal*11/21>+
            GruesoLateral*0.05*<0,0,0>,
            <FrentePuerta,Alto-GruesoLateral*11/21,0>+
            GruesoLateral*0.05*<0,0,0.1>
            texture         {
              average
              texture_map {
                [0.5 TexturaMaderaBarata ][0.5 TexturaMadera ]
              }
            }
          }
          #if ( FraccionAgarradera > 0 )
            object            {
              MCSI_Agarradera()
              scale           min( Alto, Frente )*0.05*FraccionAgarradera2
              translate       FraccionAgarradera*Alto*y
                        +0.8*FrentePuerta*x
              texture           {
                TexturaAgarradera
              }
            }
          #end
          #if ( DoblePuerta )
            rotate          PaqueteAngular[C][1]*y
          #else
            rotate          PaqueteAngular[C][0]*y
          #end
          scale           <-1,1,1>
          translate       BordesPuertas[C][1]*x-Profundidad*z
        }
      #end
      #local C          = C+1;
    #end
  }
#end

#macro MCSI_MuebleCocinaInferiorClavos
        ( AltoB, FrenteB, ProfundidadB, GruesoLateralB, GruesoNormalB,
          AltoBaseB, AltoImpermeable,
          PisosB, CompartimientosB, FraccionAgarradera, FraccionAgarradera2,
          DoblePuerta, PaqueteAngularB,
          TexturaMadera, TexturaMaderaBarata, 
          TexturaAgarradera, TexturaImpermeable )
  union       {
    object      {
      MCSI_MuebleCocinaSuperiorClavos
        ( AltoB, FrenteB, ProfundidadB, GruesoLateralB, GruesoNormalB,
          PisosB, CompartimientosB, 
          FraccionAgarradera, FraccionAgarradera2,
          off, ArregloAngularB,
          MCSI_DefaultTexturaMadera, MCSI_DefaultTexturaMaderaBarata,
          MCSI_DefaultTexturaAgarradera )
      translate         AltoBaseB*y-0.2*GruesoLateralB*z
      #declare MCSI_ArregloPisosInferior        =
                        array[CompartimientosB][PisosB+1]
      #local C                  = 0;
      #while ( C < CompartimientosB )
        #local D                = 0;
        #while ( D < PisosB+1 )
          #if ( D = PisosB )
            #declare MCSI_ArregloPisosInferior[C][D]  =
                MCSI_ArregloPisos[C][D]+20/536*AltoB*y
                +AltoBaseB*y;
          #else
            #declare MCSI_ArregloPisosInferior[C][D]      =
                MCSI_ArregloPisos[C][D]+AltoBaseB*y;
          #end
          #local D              = D+1;
        #end
        #local C                = C+1;
      #end
    }
    #local C          = 0;
    #while ( C < 4 )
      box             {
        -GruesoLateralB/3*<1,0,1>,
        GruesoLateralB/3*<1,0,1>+AltoBaseB*y
        translate     FrenteB/2*x-ProfundidadB/2*z
              +GruesoLateralB*<-1,0,1>
        #switch ( C )
          #case ( 2 )
            scale     <1,1,-1>
          #case ( 1 )
            scale     <-1,1,1>
          #break
          #case ( 3 )
            scale     <1,1,-1>
        #end
        translate     -ProfundidadB/2*z-0.2*GruesoLateralB*z
        texture       {
          MCSI_DefaultTexturaMadera
        }
      }
      #local C        = C+1;
    #end
    difference        {
      superellipsoid  {
        <0.05,0.1>
        scale         <FrenteB/2*1.05,10/536*AltoB,2*ProfundidadB/2*1.1>
      }
      plane           {
        -z             , 0
      }
      translate       ( AltoB+AltoBaseB )*y+10/536*AltoB*y-5/536*AltoB*z
      texture         {
        TexturaImpermeable
      }
    }
    difference        {
      superellipsoid  {
        <0.05,0.1>
        scale         <FrenteB/2*1.05,10/536*AltoB,AltoImpermeable>
      }
      plane           {
        -z             , 0
      }
      box             {
        <-10,0,0>,<10,10,-0.75*AltoImpermeable>
      }
      rotate          90*x
      translate       ( AltoB+AltoBaseB )*y+10/536*AltoB*y-5/536*AltoB*z
      texture         {
        TexturaImpermeable
      }
    }
  }
#end

#macro MCSI_MuebleCocina
        ( VisibleSuperior,
                Angulo1, Angulo2, Angulo3, Angulo4, Angulo5, Angulo6 )
  #local L      = MCSI_L;
  union         {
    #local Alto                 =  286*L;
    #local Frente               = 1080*L;
    #local Profundidad          =  219*L;
    #local GruesoLateral        =   21*L;
    #local GruesoNormal         =    8*L;
    #local AltoEstanteSuperior  = 1026*L;
    #local Pisos                = 2;
    #local Compartimientos       = 2;
    #local ArregloAngular       = array [2][2]
        {{Angulo1,Angulo2}{Angulo3,Angulo4}}
    #local AltoB                =  536*L;
    #local FrenteB              = 1080*L;
    #local ProfundidadB         =  357*L;
    #local GruesoLateralB       =   50*L;
    #local GruesoNormalB        =    8*L;
    #local AltoBaseB            =   89*L;
    #local AltoImpermeable      =   71*L;
    #local PisosB               = 2;
    #local CompartimientosB      = 2;
    #local ArregloAngularB      = array [2][2]
        {{Angulo5,on},{Angulo6,off}}
    #if ( VisibleSuperior )
      object      {
        MCSI_MuebleCocinaSuperiorClavos
          ( Alto, Frente, Profundidad, GruesoLateral, GruesoNormal,
            Pisos, Compartimientos, 0.5, 1.0, on, ArregloAngular,
            MCSI_DefaultTexturaMadera, MCSI_DefaultTexturaMaderaBarata,
            MCSI_DefaultTexturaAgarradera )
        translate         AltoEstanteSuperior*y
        #declare MCSI_ArregloPisosSuperior        =
                          array[Compartimientos][Pisos+1]
        #local C                  = 0;
        #while ( C < Compartimientos )
          #local D                = 0;
          #while ( D < Pisos+1 )
            #declare MCSI_ArregloPisosSuperior[C][D]      =
                  MCSI_ArregloPisos[C][D]+AltoEstanteSuperior*y;
            #local D              = D+1;
          #end
          #local C                = C+1;
        #end
      }
    #end
    object      {
      MCSI_MuebleCocinaInferiorClavos
        ( AltoB, FrenteB, ProfundidadB, GruesoLateralB, GruesoNormalB,
          AltoBaseB, AltoImpermeable,
          PisosB, CompartimientosB, 0.6, 0.75,
          off, ArregloAngularB,
          MCSI_DefaultTexturaMadera, MCSI_DefaultTexturaMaderaBarata,
          MCSI_DefaultTexturaAgarradera, MCSI_DefaultTexturaImpermeable )
    }
  }
#end


