// This file is licensed under the terms of the CC-LGPL.
//
// Autor  : Rafael Angel Campos Vargas
// Correo : RofoelCompos@hotmail.com  
// Apdo. 964-1250 Escazu, San Jose, Costa Rica
// dedicado a Jesus y Maria...
//
// En este momento estoy creando un programa
// de animacion LibreN3D para FreeDOS con el compilador FreePascal
// falta mucho... 8 mayo 2012
//                
// Mis dibujos estan en unidades L (Lisa)
// 1 L equivale a 0.055063 pulgadas 
// definido como 0.001 para POVRAY 
//
// MCSI MuebleCocinaSuperiorInferior
// El archivo permite dibujar un mueble de cocina de superficie
// impermeable, para acomodar ingredientes, electromesticos y otros
// recursos de cocina.
// #macro MCSI_MuebleCocina
//        ( VisibleSuperior,
//                Angulo1, Angulo2, Angulo3, Angulo4, Angulo5, Angulo6 )
//      VisibleSuperior         : "on" dibuja el mueble superior
//                                "off" no lo dibuja
//      Angulo1                 : Angulo de apertura para primera
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo2                 : Angulo de apertura para segunda
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo3                 : Angulo de apertura para tercera
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo4                 : Angulo de apertura para cuarta
//              puertecilla superior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo1                 : Angulo de apertura para primera
//              puertecilla inferior de izquierda a derecha.
//              Cero para totalmente cerrada.
//      Angulo6                 : Angulo de apertura para segunda
//              puertecilla inferior de izquierda a derecha.
//              Cero para totalmente cerrada.
//
// El mismo mueble puede dibujarse con mayor control sobre los detalles
// con dos macros.
// La siguiente macro dibuja el mueble superior.  Seria necesario aplicar
// translate 1026*L*y para ubicarlo en posicion default.
// #macro MCSI_MuebleCocinaSuperiorClavos
//        ( Alto, Frente, Profundidad, GruesoLateral, GruesoNormal,
//          Pisos, Compartimientos, FraccionAgarradera, FraccionAgarradera2,
//          DoblePuerta, PaqueteAngular,
//          TexturaMadera, TexturaMaderaBarata, TexturaAgarradera )
//      Alto                    : Alto de mueble superior.  Default es 286*L.
//      Frente                  : Frente de mueble superior.
//              Default es 1080*L.
//      Profundidad             : Referencia para la profundidad del mueble.
//              Default es 219*L.
//      GruesoLateral           : Referencia para los bordes laterales
//              de las puertas de compartimientos.  Default es 21*L.
//      GruesoNormal            : Referencia para el grueso de madera interna.
//              Default es 8*L.
//      Pisos                   : Total de pisos internos.  Default es 2.
//      Compartimientos          : Total de compartimientos horizontales.
//              Default es 2.
//      FraccionAgarradera      : Valor fraccionario para ubicar a lo alto
//              la agarradera en la puertecilla.  Cero no lo dibuja.
//              Default es 0.5.
//      FraccionAgarradera2     : Valor fraccionario para controlar el
//              tamano de la agarradera.  Default es 1.0.
//      DoblePuerta             : "on" utiliza puertas dobles
//                                      para cada compartimiento.
//                                "off" utiliza una puerta sencilla en
//                                      cada compartimiento.
//      PaqueteAngular          : array [Compartimientos][2]
//              La estructura depende de DoblePuerta
//              DoblePuerta "on"
//                      PaqueteAngular[C][0] angulo de apertura a partir
//                              de cero para la puerta izquierda
//                              del compartimiento C.
//                      PaqueteAngular[C][1] angulo de apertura a partir
//                              de cero para la puerta derecha
//                              del compartimiento C.
//              DoblePuerta "off"
//                      PaqueteAngular[C][0] angulo de apertura a partir
//                              de cero para la puerta del compartimiento C.
//                      PaqueteAngular[C][1]
//                              "on"  agarradera a la derecha
//                              "off" agarradera a la izquierda
//                              de cero para la puerta derecha
//                              del compartimiento C.
//      TexturaMadera           : textura principal a aplicar a la madera.
//              Default es MCSI_DefaultTexturaMadera.
//      TexturaMaderaBarata     : textura principal a aplicar a la
//              madera interior.  Default es MCSI_DefaultTexturaMaderaBarata.
//      TexturaAgarradera       : textura a aplicar a las agarraderas.
//              Default es MCSI_DefaultTexturaAgarradera
//
// Podemos dibujar el mueble inferior con mayor control sobre los detalles
// con la siguiente macro.
// #macro MCSI_MuebleCocinaInferiorClavos
//        ( AltoB, FrenteB, ProfundidadB, GruesoLateralB, GruesoNormalB,
//          AltoBaseB, AltoImpermeable,
//          PisosB, CompartimientosB, FraccionAgarradera, FraccionAgarradera2,
//          DoblePuerta, PaqueteAngularB,
//          TexturaMadera, TexturaMaderaBarata, TexturaAgarradera )
//      AltoB                   : Referencia para el alto de mueble inferior.
//              Default es 536*L.
//      FrenteB                 : Referencia para frente de mueble inferior.
//              Default es 1080*L.
//      ProfundidadB            : Referencia para la profundidad del mueble.
//              Default es 357*L.
//      GruesoLateralB          : Referencia para los bordes laterales
//              de las puertas de compartimientos.  Default es 50*L.
//      GruesoNormalB           : Referencia para el grueso de madera interna.
//              Default es 8*L.
//      AltoBaseB               : Alto de las patas soporte.  Default es 89*L.
//      AltoImpermeable         : Referencia para el alto
//              de la cubierta impermeable.  Default es 71*L.
//      PisosB                  : Total de pisos internos.  Default es 2.
//      CompartimientosB         : Total de compartimientos horizontales.
//              Default es 2.
//      FraccionAgarradera      : Valor fraccionario para ubicar a lo alto
//              la agarradera en la puertecilla.  Cero no lo dibuja.
//              Default es 0.6.
//      FraccionAgarradera2     : Valor fraccionario para controlar el
//              tamano de la agarradera.  Default es 0.75.
//      DoblePuerta             : "on" utiliza puertas dobles
//                                      para cada compartimiento.
//                                "off" utiliza una puerta sencilla en
//                                      cada compartimiento.
//      PaqueteAngularB         : array [CompartimientosB][2]
//              La estructura depende de DoblePuerta
//              DoblePuerta "on"
//                      PaqueteAngularB[C][0] angulo de apertura a partir
//                              de cero para la puerta izquierda
//                              del compartimiento C.
//                      PaqueteAngularB[C][1] angulo de apertura a partir
//                              de cero para la puerta derecha
//                              del compartimiento C.
//              DoblePuerta "off"
//                      PaqueteAngularB[C][0] angulo de apertura a partir
//                              de cero para la puerta del compartimiento C.
//                      PaqueteAngularB[C][1]
//                              "on"  agarradera a la derecha
//                              "off" agarradera a la izquierda
//                              de cero para la puerta derecha
//                              del compartimiento C.
//      TexturaMadera           : textura principal a aplicar a la madera.
//              Default es MCSI_DefaultTexturaMadera.
//      TexturaMaderaBarata     : textura principal a aplicar a la
//              madera interior.  Default es MCSI_DefaultTexturaMaderaBarata.
//      TexturaAgarradera       : textura a aplicar a las agarraderas.
//              Default es MCSI_DefaultTexturaAgarradera.
//      TexturaImpermeable      : textura a aplicar a la sobrecubierta
//              impermeable del mueble.
//              Default es MCSI_DefaultTexturaImpermeable.
//              
//
// La dimensiones del mueble de cocina default son :
//      Alto total                      = 1312*L
//      Alto estante superior           =  286*L
//      Altura estante superior         = 1026*L
//      Alto estante inferior           =  706*L
//      Frente estante superior         = 1080*L
//      Frente estante inferior         = 1134*L
//      Profundidad estante superior    =  219*L
//              con agarradera          =  234*L
//      Profundidad estante inferior    =  398*L
//              con agarradera          =  419*L
// El mueble se dibuja sobresaliendo hacia Z- sobre el plano YZ que hace de
// pared.  Se asume el mueble empotrado o en contacto con la pared;
// aunque la parte posterior del mueble inferior se desplaza hacia adelante
// unos 10*L para dar espacio a la cubierta impermeable.
//
// Estas son variables predefinidas o generadas en el
// interior de las macros que no deberian modificarse
// Si quiere modificarlas, recurra a los modificadores
// #declare MCSI_ArregloPisosInferior[Compartimientos][Pisos+1]
//      Se declara con el llamado a las macros
//      MCSI_MuebleCocina() y MCSI_MuebleCocinaInferiorClavos().
//      Es un arreglo de posiciones 3D, que facilita ubicar
//      objetos al interior de los compartimientos.
//      Calcula una posicion cercana al centro, un poco hacia atras.
//      Su orden es de izquierda a derecha y de abajo hacia arriba.
//      El vector MCSI_ArregloPisosInferior[C][Pisos] ubica la parte superior
//      del mueble, en linea con el compartimiento C respectivo.
// #declare MCSI_ArregloPisosSuperior[Compartimientos][Pisos+1]
//      Se declara con el llamado a las macros
//      MCSI_MuebleCocina() y MCSI_MuebleCocinaSuperiorClavos().
//      Es un arreglo de posiciones 3D, que facilita ubicar
//      objetos al interior de los compartimientos.
//      Calcula una posicion cercana al centro, un poco hacia atras.
//      Su orden es de izquierda a derecha y de abajo hacia arriba.
//      El vector MCSI_ArregloPisosSuperior[C][Pisos] ubica la parte superior
//      del mueble, en linea con el compartimiento C respectivo.
// #declare MCSI_ArregloPisos[Compartimientos][Pisos+1]
//      Se declara con el llamado a la macro 
//      MCSI_MuebleCocinaSuperiorClavos().
//      Es un arreglo de posiciones 3D, que facilita ubicar
//      objetos al interior de los compartimientos.
//      Calcula una posicion cercana al centro, un poco hacia atras.
//      Su orden es de izquierda a derecha y de abajo hacia arriba.
//      El vector MCSI_ArregloPisos[C][Pisos] ubica la parte superior
//      del mueble, en linea con el compartimiento C respectivo.
// #declare MCSI_TexturaMadera
//      Textura principal del mueble.
// #declare MCSI_TexturaBarata
//      Textura del interior del mueble.
// #declare MCSI_TexturaAgarradera
//      Textura de las agarraderas, y la bisagra de giro.
// #declare MCSI_TexturaImpermeable
//      Textura de la sobrecubierta impermeable del mueble inferior.
//
// Los siguientes son los modificadores
// aplicables y redefinibles por el usuario (si se indica es default)
// #declare MCSI_POV3_1                        = off;
//      Valor on activa modo de compatibilidad con POVRay 3.1.
//      En algunas versiones se activara automaticamente.
//      En esta version no cumple ninguna funcion.
// #declare MCSI_DefaultTexturaMadera           = texture { ... }
//      Textura principal del aparato.
// #declare MCSI_DefaultTexturaMaderaBarata     = texture { ... }
//      Textura del interior del mueble.
// #declare MCSI_DefaultTexturaAgarradera       = texture { ... }
//      Textura a aplicar a las agarraderas y a los ejes de las bisagras.
// #declare MCSI_DefaultTexturaImpermeable      = texture { ... }
//      Textura a aplicar a la sobrecubierta impermeable 
//      del mueble inferior.
// #macro MCSI_Agarradera()
//      Se permite redefinir las agarraderas.  Para ubicar se debe visualizar
//      como un cilindro similar a cylinder { 0, -Z, 1 };  con el frente
//      hacia -Z.
//
// Para colocarlo simplemente
// #include "MCSI.inc"
// object { MCSI_MuebleCocina(on,0,0,0,0,0,0) }
//
// O bien con mayor detalle
// #include "MCSI.inc"
// #declare PaqueteAngular      = array[2][2] {{90,on}{0,off}}
// object { MCSI_MuebleCocinaSuperiorClavos
//          ( 0.1, 0.2, 0.1, 0.01, 0.005,
//            3, 2, 0.5, 1.0, off, PaqueteAngular,
//            MCSI_DefaultTexturaMadera, MCSI_DefaultTexturaMaderaBarata,
//            MCSI_DefaultTexturaAgarradera ) }
// sphere     {
//      0, 0.03
//      translate MCSI_ArregloPisos[0][1]+0.015*y
//      pigment { Green }
// }
//
// O bien con modificadores
// #include "textures.inc"
// #include "MCSI.inc"
// #declare MCSI_DefaultTexturaMadera   = texture
//      { average texture_map { [0.5 MCSI_TexturaMadera] [0.5 Rust] } }
// object { MCSI_MuebleCocina(on,0,0,0,0,0,0) }
//    

#include "MCSI.inc"
#include "colors.inc"

#declare EjeMejorado            = true;
#declare OjoAbsoluto            = 256;
#declare VecesCentroAbsoluto    = 10;     
#declare L                      = 0.001;
camera {
        location  <   0,  0, -( VecesCentroAbsoluto+1 )*OjoAbsoluto >*L
        direction z
        sky       y
        angle     38.74
//        look_at  <   0,  0, -VecesCentroAbsoluto*OjoAbsoluto >*L
}         
light_source    {
         < 500  , 500   , -3000 >*L
         White
}
background      {
         Gray50
}    


object          {
  MCSI_MuebleCocina( on, 0, 0, 0, 0, 0, 30 )
  translate     -0.65*y+0.5*z
}


